/**
 * cookie操作
 * 注意：1.存入cookie的敏感信息必须加密
 *      2.cookie设置有效时间
 * 更高级的cookie安全问题请自行百度
 */
export default ({
  /**
     * 设置cookie
     * @param key cookie名称
     * @param value cookie值
     * @param day cookie过期时间（单位：天），默认一天
    */
  setCookie(key, value, day) {
    let exdate = new Date();
    exdate.setDate(exdate.getDate() + day);
    // 字符串拼接cookie
    document.cookie = `${key}=${escape(value)}${(day == null) ? '' : `;expires=${  exdate.toGMTString()}`}`;
  },

  /**
     * 获取cookie
     * @param key 需要对应值的key
     * @returns value key所对应的值
     * document.cookie直接获取的cookie原格式：userTel=***********; userName=***
     * 注意：获取原cookie格式的";"后含有一个空格
     */
  getCookie(key) {
    let arr;
    let reg = new RegExp(`(^| )${  key  }=([^;]*)(;|$)`);
    if (arr = document.cookie.match(reg)) {
      return (arr[2]);
    }
    return null;
  },
  /**
    * 清除cookie
    * 将cookie的数据设空，时间设0
    */
  delCookie(name) {
    const exp = new Date();
    exp.setTime(exp.getTime() - 1);
    const cval = getCookie(name);
    if (cval != null) {
      document.cookie = `${name}=${cval};expires=${exp.toGMTString()}`;
    }
  },
});
