/**
 * @description 时间格式化工具类
 * 1.将时间戳转换为指定格式字符串
 *
 * @author weixuan.ge
 */
export default ({
  formatDate(timestamp) {
    //时间戳为10位需*1000，时间戳为13位的话不需乘1000
    if ((timestamp + '').length == 10) {
      timestamp = timestamp * 1000
    }
    let date = new Date(timestamp);
    let Y = date.getFullYear() + '-';
    let M = (date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1) + '-';
    let D = date.getDate() + ' ';
    let h = (date.getHours() < 10 ? '0' + date.getHours() : date.getHours()) + ':';
    let m = (date.getMinutes() < 10 ? '0' + date.getMinutes() : date.getMinutes()) + ':';
    let s = (date.getSeconds() < 10 ? '0' + date.getSeconds() : date.getSeconds());
    return Y + M + D + h + m + s;
  },
  // 将秒转换为 天-时-分-秒
  secondToDate(msd) {
    var time = msd;
    if (null != time && "" != time) {
      if (time > 60 && time < 60 * 60) {
        time =
          parseInt(time / 60.0) +
          "分钟" +
          parseInt((parseFloat(time / 60.0) - parseInt(time / 60.0)) * 60) +
          "秒";
      } else if (time >= 60 * 60 && time < 60 * 60 * 24) {
        time =
          parseInt(time / 3600.0) +
          "小时" +
          parseInt((parseFloat(time / 3600.0) - parseInt(time / 3600.0)) * 60) +
          "分钟" +
          parseInt(
            (parseFloat(
                (parseFloat(time / 3600.0) - parseInt(time / 3600.0)) * 60
              ) -
              parseInt(
                (parseFloat(time / 3600.0) - parseInt(time / 3600.0)) * 60
              )) *
            60
          ) +
          "秒";
      } else if (time >= 60 * 60 * 24) {
        time =
          parseInt(time / 3600.0 / 24) +
          "天" +
          parseInt(
            (parseFloat(time / 3600.0 / 24) - parseInt(time / 3600.0 / 24)) * 24
          ) +
          "小时" +
          parseInt((parseFloat(time / 3600.0) - parseInt(time / 3600.0)) * 60) +
          "分钟" +
          parseInt(
            (parseFloat(
                (parseFloat(time / 3600.0) - parseInt(time / 3600.0)) * 60
              ) -
              parseInt(
                (parseFloat(time / 3600.0) - parseInt(time / 3600.0)) * 60
              )) *
            60
          ) +
          "秒";
      } else {
        time = parseInt(time) + "秒";
      }
    }
    return time;
  }
});
