//api请求处理函数(暂时放这里)
export default {
  /**
   * 递归从条件中拼接body请求体
   */
  getBody(param, result = {}) {
    if (!param || param.length < 1) {
      return {};
    }
    const body = {};
    param.forEach(item => {
      if (item.children && item.children.length > 0) {
        body[item.name] = this.getBody(item.children, {});
      } else {
        body[item.name] = item.defaultValue;
      }
    });
    return body;
  },
  /**
   * 从条件中获取请求的query和headers
   */
  getQueryOrHeader(param) {
    if (!param || param.length < 1) {
      return {};
    }
    const result = {};
    param.forEach(item => {
      result[item.name] = item.defaultValue;
    });
    return result;
  },
  getCustomVarible(param) {
    if (!param || param.length < 1) {
      return {};
    }
    const result = {};
    param.forEach(item => {
      result[item.fieldNameEn] = item.value;
    });
    return result;
  },
  listToTree(oldArr) {
    oldArr.forEach(element => {
      let parentId = element.treeParentId;
      if (parentId !== 0) {
        oldArr.forEach(ele => {
          if (ele.treeId == parentId) {
            if (!ele.children) {
              ele.children = [];
            }
            ele.children.push(element);
          }
        });
      }
    });
    oldArr = oldArr.filter(ele => ele.treeParentId === "-1"); //这一步是过滤，按树展开，将多余的数组剔除；
    return oldArr;
  }
};
